"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _reactNativeEncryptedStorage = _interopRequireDefault(require("react-native-encrypted-storage"));

var _state = require("../internals/state");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default() {
  return new Promise(async (resolve, reject) => {
    try {
      var _output, _output2;

      if (!Object.is(_state.state, _state.initialState)) {
        return resolve(_state.state);
      }

      let output = null;

      const rehydrateState = async (storeKey) => {
        let persistedState = null;

        try {
          const data = await _reactNativeEncryptedStorage.default.getItem(storeKey);

          if (data) {
            persistedState = JSON.parse(data);
          }
        } catch (error) {
          reject(error);
        }

        return persistedState;
      };

      output = await rehydrateState(_state.state.encryptedStorageKey);

      if ((_output = output) !== null && _output !== void 0 && _output.encryptedStorageKey && ((_output2 = output) === null || _output2 === void 0 ? void 0 : _output2.encryptedStorageKey) !== _state.state.encryptedStorageKey && (_state.state === null || _state.state === void 0 ? void 0 : _state.state.encryptedStorageKey) === _state.initialState.encryptedStorageKey) {
        var _output3;

        output = await rehydrateState((_output3 = output) === null || _output3 === void 0 ? void 0 : _output3.encryptedStorageKey);
      }

      resolve(output || _state.initialState);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=getState.js.map