"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setState = setState;
exports.state = exports.initialState = void 0;

var _reactNativeEncryptedStorage = _interopRequireDefault(require("react-native-encrypted-storage"));

var _getState = _interopRequireDefault(require("../core/getState"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const initialState = {
  UID: '',
  lang: 'en',
  apiKey: '',
  encryptedStorageKey: 'GigyaSdkState'
};
exports.initialState = initialState;
let state = initialState;
exports.state = state;

function setState(data) {
  return new Promise(async (resolve, reject) => {
    try {
      const oldState = await (0, _getState.default)();
      const newState = { ...oldState,
        ...data
      };
      await _reactNativeEncryptedStorage.default.setItem(newState.encryptedStorageKey, JSON.stringify(newState));
      exports.state = state = newState;
      resolve(state);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=state.js.map