import EncryptedStorage from 'react-native-encrypted-storage';
import { state, initialState } from '../internals/state';
export default function () {
  return new Promise(async (resolve, reject) => {
    try {
      var _output, _output2;

      if (!Object.is(state, initialState)) {
        return resolve(state);
      }

      let output = null;

      const rehydrateState = async (storeKey) => {
        let persistedState = null;

        try {
          const data = await EncryptedStorage.getItem(storeKey);

          if (data) {
            persistedState = JSON.parse(data);
          }
        } catch (error) {
          reject(error);
        }

        return persistedState;
      };

      output = await rehydrateState(state.encryptedStorageKey);

      if ((_output = output) !== null && _output !== void 0 && _output.encryptedStorageKey && ((_output2 = output) === null || _output2 === void 0 ? void 0 : _output2.encryptedStorageKey) !== state.encryptedStorageKey && (state === null || state === void 0 ? void 0 : state.encryptedStorageKey) === initialState.encryptedStorageKey) {
        var _output3;

        output = await rehydrateState((_output3 = output) === null || _output3 === void 0 ? void 0 : _output3.encryptedStorageKey);
      }

      resolve(output || initialState);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=getState.js.map