import EncryptedStorage from 'react-native-encrypted-storage';
import getState from '../core/getState';
export const initialState = {
  UID: '',
  lang: 'en',
  apiKey: '',
  encryptedStorageKey: 'GigyaSdkState'
};
export let state = initialState;
export function setState(data) {
  return new Promise(async (resolve, reject) => {
    try {
      const oldState = await getState();
      const newState = { ...oldState,
        ...data
      };
      await EncryptedStorage.setItem(newState.encryptedStorageKey, JSON.stringify(newState));
      state = newState;
      resolve(state);
    } catch (e) {
      reject(e);
    }
  });
}
//# sourceMappingURL=state.js.map