import { GigyaSdkStateType, GigyaSdkErrorType, GigyaSdkAccountInfoType, GigyaSdkConflictingAccountType, GigyaSdkRegisteredAccountType } from '../types';
declare type ProviderType = Exclude<Exclude<GigyaSdkStateType['authenticationAttempt'], undefined>['type'], undefined>;
declare type OptionsType = {
    error?: GigyaSdkErrorType;
    noSetSession?: boolean;
    noFinalize?: boolean;
    isRegistration?: boolean;
};
declare type ActionRequiredType = {
    type: 'emailVerification';
} | {
    type: 'acceptToS';
    callback: () => Promise<InternalOutputType>;
} | {
    type: 'conflictingAccount';
    loginId?: string;
    loginProviders?: GigyaSdkConflictingAccountType['loginProviders'];
};
declare type InternalOutputType = {
    handled: false;
    error?: GigyaSdkErrorType;
} | {
    handled: true;
    error?: GigyaSdkErrorType;
    account?: GigyaSdkAccountInfoType | GigyaSdkRegisteredAccountType;
} | {
    handled: true;
    regTokenExpired: boolean;
    error?: GigyaSdkErrorType;
} | {
    handled: true;
    actionRequired: ActionRequiredType;
    error?: GigyaSdkErrorType;
};
declare type OutputType = {
    handled: boolean;
    regTokenExpired?: boolean;
    actionRequired?: {
        loginId?: string;
        callback: () => Promise<InternalOutputType>;
        loginProviders?: GigyaSdkConflictingAccountType['loginProviders'];
        type: 'acceptToS' | 'conflictingAccount' | 'emailVerification';
    };
    error?: GigyaSdkErrorType;
    account?: GigyaSdkAccountInfoType | GigyaSdkRegisteredAccountType;
};
export default function (type: ProviderType, options?: OptionsType): Promise<OutputType>;
export {};
